Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## groovy.util
[Java] Interface ObjectGraphBuilder.NewInstanceResolver

    public interface ObjectGraphBuilder.NewInstanceResolver

Strategy for creating new instances of a class.
Useful for plug-in calls to non-default constructors.

Method Summary
`Object` | `newInstance(Class klass, Map attributes)` Create a new instance of Class klass.

Method Detail

### newInstance

    public Object newInstance(Class klass, Map attributes)

  Create a new instance of Class klass.
  Parameters:
    `klass` - the resolved class name
    `attributes` - the attribute Map available for the node

Copyright © 2003-2010 The Codehaus. All rights reserved.